#ifndef __AZTECENCODELIB_H__
#define __AZTECENCODELIB_H__

#include <windows.h>
#include <wingdi.h>


#define  ENC_NORMAL  0
#define  ENC_BINARY  1

#define CONFIGURATION_ANY			0
#define CONFIGURATION_COMPACT		1
#define CONFIGURATION_FULL			2

#define CONFIGURATION_AUTO			-1
#define CONFIGURATION_15X15_COMPACT 0
#define CONFIGURATION_19X19 =		1
#define CONFIGURATION_19X19_COMPACT 2
#define CONFIGURATION_23X23			3
#define CONFIGURATION_23X23_COMPACT 4
#define CONFIGURATION_27X27			5
#define CONFIGURATION_27X27_COMPACT 6
#define CONFIGURATION_31X31			7
#define CONFIGURATION_37X37			8
#define CONFIGURATION_41X41			9
#define CONFIGURATION_45X45			10
#define CONFIGURATION_49X49			11
#define CONFIGURATION_53X53			12
#define CONFIGURATION_57X57			13
#define CONFIGURATION_61X61			14
#define CONFIGURATION_67X67			15
#define CONFIGURATION_71X71			16
#define CONFIGURATION_75X75			17
#define CONFIGURATION_79X79			18
#define CONFIGURATION_83X83			19
#define CONFIGURATION_87X87			20
#define CONFIGURATION_91X91			21
#define CONFIGURATION_95X95			22
#define CONFIGURATION_101X101		23
#define CONFIGURATION_105X105		24
#define CONFIGURATION_109X109		25
#define CONFIGURATION_113X113		26
#define CONFIGURATION_117X117		27
#define CONFIGURATION_121X121		28
#define CONFIGURATION_125X125		29
#define CONFIGURATION_131X131		30
#define CONFIGURATION_135X135		31
#define CONFIGURATION_139X139		32
#define CONFIGURATION_143X143		33
#define CONFIGURATION_147X147		34
#define CONFIGURATION_151X151		35

typedef struct _tagAZTECCONTEXT
{
	int  nEncodeMode;
    int  nCorrectionLevel;
	int	 nConfigType;
	int	 nConfiguration;
	int  nRune;
	int  nPixelSize;
	int  nMargin;
	int  nStructuredAppendCounter;
	int  nStructuredAppendIndex;
	int  nDataSize;
	BOOL bProcessTilde;
	BOOL bStructuredAppend;
	COLORREF clForeColor;
	COLORREF clBackColor;
	char *pFileID;
	char cEncodedData[3750];
}_AZTECCONTEXT;


void _InitAztecContext(_AZTECCONTEXT *pAztecCtx);
BOOL _FreeAztecContext();
HBITMAP _AztecEncode2Bitmap(_AZTECCONTEXT *pAztecCtx);
BOOL _AztecEncode2File(_AZTECCONTEXT *pAztecCtx,LPCTSTR pImageFile);



#endif /* __AZTECENCODELIB_H__ */
