// AztecVc6TestDlg.h : header file
//

#if !defined(AFX_AZTECVC6TESTDLG_H__E106D743_5998_45CF_BFDD_8024C7A3DA0E__INCLUDED_)
#define AFX_AZTECVC6TESTDLG_H__E106D743_5998_45CF_BFDD_8024C7A3DA0E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ColorBox.h"

/////////////////////////////////////////////////////////////////////////////
// CAztecVc6TestDlg dialog

class CAztecVc6TestDlg : public CDialog
{
// Construction
public:
	CAztecVc6TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAztecVc6TestDlg)
	enum { IDD = IDD_AZTECVC6TEST_DIALOG };
	CColorBox	m_ForeColor;
	CColorBox	m_BackColor;
	CButton	m_StruAppend;
	CButton	m_ProcTilde;
	CComboBox	m_ConfigType;
	CComboBox	m_Level;
	CComboBox	m_EncodeMode;
	int		m_nAppendCounter;
	int		m_nAppendIndex;
	int		m_nMargin;
	int		m_nModuleSize;
	int		m_nRune;
	CString	m_strText;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAztecVc6TestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAztecVc6TestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBuy();
	afx_msg void OnSave();
	afx_msg void OnEncode();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:

	void SetDropDownSize(CComboBox &box, UINT LinesToDisplay);
	BOOL SaveBitmapToFile(HBITMAP hBitmap , LPCTSTR lpFileName);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AZTECVC6TESTDLG_H__E106D743_5998_45CF_BFDD_8024C7A3DA0E__INCLUDED_)
